package org.springblade.party.feign;

import org.springblade.party.entity.Comment;
import org.springblade.party.vo.CommentVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CommentClientFallback implements ICommentClient {
            /**
         * 详情
         */
        @Override
        public CommentVO detail(Comment comment) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<CommentVO> list(Comment comment) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Comment comment) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Comment comment) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Comment comment) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
